RTEMS: FEC_tag Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
FEC_tag Struct Reference

## Data Fields
uint32_t | fec_reserved_start [0x1]
union {
uint32_t R
struct {
uint32_t HBERR:1
uint32_t BABR:1
uint32_t BABT:1
uint32_t GRA:1
uint32_t TXF:1
uint32_t TXB:1
uint32_t RXF:1
uint32_t RXB:1
uint32_t MII:1
uint32_t EBERR:1
uint32_t LC:1
uint32_t RL:1
uint32_t UN:1
uint32_t __pad0__:19
} B
} | EIR
union {
uint32_t R
struct {
uint32_t HBERRM:1
uint32_t BABRM:1
uint32_t BABTM:1
uint32_t GRAM:1
uint32_t TXFM:1
uint32_t TXBM:1
uint32_t RXFM:1
uint32_t RXBM:1
uint32_t MIIM:1
uint32_t EBERRM:1
uint32_t LCM:1
uint32_t RLM:1
uint32_t UNM:1
uint32_t __pad0__:19
} B
} | EIMR
uint32_t | fec_reserved_eimr
union {
uint32_t R
struct {
uint32_t __pad0__:7
uint32_t R_DES_ACTIVE:1
uint32_t __pad1__:24
} B
} | RDAR
union {
uint32_t R
struct {
uint32_t __pad0__:7
uint32_t X_DES_ACTIVE:1
uint32_t __pad1__:24
} B
} | TDAR
uint32_t | fec_reserved_tdar [3]
union {
uint32_t R
struct {
uint32_t __pad0__:30
uint32_t ETHER_EN:1
uint32_t RESET:1
} B
} | ECR
uint32_t | fec_reserved_ecr [6]
union {
uint32_t R
struct {
uint32_t ST:2
uint32_t CP:2
uint32_t PA:5
uint32_t RA:5
uint32_t TA:2
uint32_t DATA:16
} B
} | MDATA
union {
uint32_t R
struct {
uint32_t __pad0__:24
uint32_t DIS_PREAMBLE:1
uint32_t MII_SPEED:6
uint32_t __pad1__:1
} B
} | MSCR
uint32_t | fec_reserved_mscr [7]
union {
uint32_t R
struct {
uint32_t MIB_DISABLE:1
uint32_t MIB_IDLE:1
uint32_t __pad0__:30
} B
} | MIBC
uint32_t | fec_reserved_mibc [7]
union {
uint32_t R
struct {
uint32_t __pad0__:5
uint32_t MAX_FL:11
uint32_t __pad1__:10
uint32_t FCE:1
uint32_t BC_REJ:1
uint32_t PROM:1
uint32_t MII_MODE:1
uint32_t DRT:1
uint32_t LOOP:1
} B
} | RCR
uint32_t | fec_reserved_rcr [15]
union {
uint32_t R
struct {
uint32_t __pad0__:27
uint32_t RFC_PAUSE:1
uint32_t TFC_PAUSE:1
uint32_t FDEN:1
uint32_t HBC:1
uint32_t GTS:1
} B
} | TCR
uint32_t | fec_reserved_tcr [7]
union {
uint32_t R
struct {
uint32_t PADDR1:32
} B
} | PALR
union {
uint32_t R
struct {
uint32_t PADDR2:16
uint32_t TYPE:16
} B
} | PAUR
union {
uint32_t R
struct {
uint32_t OPCODE:16
uint32_t PAUSE_DUR:16
} B
} | OPD
uint32_t | fec_reserved_opd [10]
union {
uint32_t R
struct {
uint32_t IADDR1:32
} B
} | IAUR
union {
uint32_t R
struct {
uint32_t IADDR2:32
} B
} | IALR
union {
uint32_t R
struct {
uint32_t GADDR1:32
} B
} | GAUR
union {
uint32_t R
struct {
uint32_t GADDR2:32
} B
} | GALR
uint32_t | fec_reserved_galr [7]
union {
uint32_t R
struct {
uint32_t __pad0__:30
uint32_t X_WMRK:2
} B
} | TFWR
uint32_t | fec_reserved_tfwr
union {
uint32_t R
struct {
uint32_t __pad0__:22
uint32_t R_BOUND:8
uint32_t __pad1__:2
} B
} | FRBR
union {
uint32_t R
struct {
uint32_t __pad0__:22
uint32_t R_FSTART:8
uint32_t __pad1__:2
} B
} | FRSR
uint32_t | fec_reserved_frsr [11]
union {
uint32_t R
struct {
uint32_t R_DES_START:30
uint32_t __pad0__:2
} B
} | ERDSR
union {
uint32_t R
struct {
uint32_t X_DES_START:30
uint32_t __pad0__:2
} B
} | ETDSR
union {
uint32_t R
struct {
uint32_t __pad0__:21
uint32_t R_BUF_SIZE:7
uint32_t __pad1__:4
} B
} | EMRBR
uint32_t | fec_reserved_emrbr [29]
union {
uint32_t R
} | RMON_T_DROP
union {
uint32_t R
} | RMON_T_PACKETS
union {
uint32_t R
} | RMON_T_BC_PKT
union {
uint32_t R
} | RMON_T_MC_PKT
union {
uint32_t R
} | RMON_T_CRC_ALIGN
union {
uint32_t R
} | RMON_T_UNDERSIZE
union {
uint32_t R
} | RMON_T_OVERSIZE
union {
uint32_t R
} | RMON_T_FRAG
union {
uint32_t R
} | RMON_T_JAB
union {
uint32_t R
} | RMON_T_COL
union {
uint32_t R
} | RMON_T_P64
union {
uint32_t R
} | RMON_T_P65TO127
union {
uint32_t R
} | RMON_T_P128TO255
union {
uint32_t R
} | RMON_T_P256TO511
union {
uint32_t R
} | RMON_T_P512TO1023
union {
uint32_t R
} | RMON_T_P1024TO2047
union {
uint32_t R
} | RMON_T_P_GTE2048
union {
uint32_t R
} | RMON_T_OCTETS
union {
uint32_t R
} | IEEE_T_DROP
union {
uint32_t R
} | IEEE_T_FRAME_OK
union {
uint32_t R
} | IEEE_T_1COL
union {
uint32_t R
} | IEEE_T_MCOL
union {
uint32_t R
} | IEEE_T_DEF
union {
uint32_t R
} | IEEE_T_LCOL
union {
uint32_t R
} | IEEE_T_EXCOL
union {
uint32_t R
} | IEEE_T_MACERR
union {
uint32_t R
} | IEEE_T_CSERR
union {
uint32_t R
} | IEEE_T_SQE
union {
uint32_t R
} | IEEE_T_FDXFC
union {
uint32_t R
} | IEEE_T_OCTETS_OK
uint32_t | fec_reserved_rmon_t_octets_ok [2]
union {
uint32_t R
} | RMON_R_DROP
union {
uint32_t R
} | RMON_R_PACKETS
union {
uint32_t R
} | RMON_R_BC_PKT
union {
uint32_t R
} | RMON_R_MC_PKT
union {
uint32_t R
} | RMON_R_CRC_ALIGN
union {
uint32_t R
} | RMON_R_UNDERSIZE
union {
uint32_t R
} | RMON_R_OVERSIZE
union {
uint32_t R
} | RMON_R_FRAG
union {
uint32_t R
} | RMON_R_JAB
uint32_t | fec_reserved_rmon_r_jab
union {
uint32_t R
} | RMON_R_P64
union {
uint32_t R
} | RMON_R_P65TO127
union {
uint32_t R
} | RMON_R_P128TO255
union {
uint32_t R
} | RMON_R_P256TO511
union {
uint32_t R
} | RMON_R_P512TO1023
union {
uint32_t R
} | RMON_R_P1024TO2047
union {
uint32_t R
} | RMON_R_P_GTE2048
union {
uint32_t R
} | RMON_R_OCTETS
union {
uint32_t R
} | IEEE_R_DROP
union {
uint32_t R
} | IEEE_R_FRAME_OK
union {
uint32_t R
} | IEEE_R_CRC
union {
uint32_t R
} | IEEE_R_ALIGN
union {
uint32_t R
} | IEEE_R_MACERR
union {
uint32_t R
} | IEEE_R_FDXFC
union {
uint32_t R
} | IEEE_R_OCTETS_OK
union {
uint32_t R
struct {
uint32_t HBERR:1
uint32_t BABR:1
uint32_t BABT:1
uint32_t GRA:1
uint32_t TXF:1
uint32_t TXB:1
uint32_t RXF:1
uint32_t RXB:1
uint32_t MII:1
uint32_t EBERR:1
uint32_t LC:1
uint32_t RL:1
uint32_t UN:1
uint32_t __pad0__:19
} B
} | EIR
union {
uint32_t R
struct {
uint32_t HBERR:1
uint32_t BABR:1
uint32_t BABT:1
uint32_t GRA:1
uint32_t TXF:1
uint32_t TXB:1
uint32_t RXF:1
uint32_t RXB:1
uint32_t MII:1
uint32_t EBERR:1
uint32_t LC:1
uint32_t RL:1
uint32_t UN:1
uint32_t __pad0__:19
} B
} | EIMR
union {
uint32_t R
struct {
uint32_t __pad0__:7
uint32_t R_DES_ACTIVE:1
uint32_t __pad1__:24
} B
} | RDAR
union {
uint32_t R
struct {
uint32_t __pad0__:7
uint32_t X_DES_ACTIVE:1
uint32_t __pad1__:24
} B
} | TDAR
union {
uint32_t R
struct {
uint32_t __pad0__:30
uint32_t ETHER_EN:1
uint32_t RESET:1
} B
} | ECR
union {
uint32_t R
struct {
uint32_t ST:2
uint32_t OP:2
uint32_t PA:5
uint32_t RA:5
uint32_t TA:2
uint32_t DATA:16
} B
} | MMFR
union {
uint32_t R
struct {
uint32_t __pad0__:24
uint32_t DIS_PREAMBLE:1
uint32_t MII_SPEED:6
uint32_t __pad1__:1
} B
} | MSCR
union {
uint32_t R
struct {
uint32_t MIB_DISABLE:1
uint32_t MIB_IDLE:1
uint32_t __pad0__:30
} B
} | MIBC
union {
uint32_t R
struct {
uint32_t __pad0__:5
uint32_t MAX_FL:11
uint32_t __pad1__:10
uint32_t FCE:1
uint32_t BC_REJ:1
uint32_t PROM:1
uint32_t MII_MODE:1
uint32_t DRT:1
uint32_t LOOP:1
} B
} | RCR
union {
uint32_t R
struct {
uint32_t __pad0__:27
uint32_t RFC_PAUSE:1
uint32_t TFC_PAUSE:1
uint32_t FDEN:1
uint32_t HBC:1
uint32_t GTS:1
} B
} | TCR
union {
uint32_t R
struct {
uint32_t PADDR1:32
} B
} | PALR
union {
uint32_t R
struct {
uint32_t PADDR2:16
uint32_t TYPE:16
} B
} | PAUR
union {
uint32_t R
struct {
uint32_t OPCODE:16
uint32_t PAUSE_DUR:16
} B
} | OPD
union {
uint32_t R
struct {
uint32_t IADDR1:32
} B
} | IAUR
union {
uint32_t R
struct {
uint32_t IADDR2:32
} B
} | IALR
union {
uint32_t R
struct {
uint32_t GADDR1:32
} B
} | GAUR
union {
uint32_t R
struct {
uint32_t GADDR2:32
} B
} | GALR
union {
uint32_t R
struct {
uint32_t __pad0__:30
uint32_t X_WMRK:2
} B
} | TFWR
union {
uint32_t R
struct {
uint32_t __pad0__:22
uint32_t R_BOUND:8
uint32_t __pad1__:2
} B
} | FRBR
union {
uint32_t R
struct {
uint32_t __pad0__:22
uint32_t R_FSTART:8
uint32_t __pad1__:2
} B
} | FRSR
union {
uint32_t R
struct {
uint32_t R_DES_START:30
uint32_t __pad0__:2
} B
} | ERDSR
union {
uint32_t R
struct {
uint32_t X_DES_START:30
uint32_t __pad0__:2
} B
} | ETDSR
union {
uint32_t R
struct {
uint32_t __pad0__:21
uint32_t R_BUF_SIZE:7
uint32_t __pad1__:4
} B
} | EMRBR
union {
uint32_t R
} | RMON_T_DROP
union {
uint32_t R
} | RMON_T_PACKETS
union {
uint32_t R
} | RMON_T_BC_PKT
union {
uint32_t R
} | RMON_T_MC_PKT
union {
uint32_t R
} | RMON_T_CRC_ALIGN
union {
uint32_t R
} | RMON_T_UNDERSIZE
union {
uint32_t R
} | RMON_T_OVERSIZE
union {
uint32_t R
} | RMON_T_FRAG
union {
uint32_t R
} | RMON_T_JAB
union {
uint32_t R
} | RMON_T_COL
union {
uint32_t R
} | RMON_T_P64
union {
uint32_t R
} | RMON_T_P65TO127
union {
uint32_t R
} | RMON_T_P128TO255
union {
uint32_t R
} | RMON_T_P256TO511
union {
uint32_t R
} | RMON_T_P512TO1023
union {
uint32_t R
} | RMON_T_P1024TO2047
union {
uint32_t R
} | RMON_T_P_GTE2048
union {
uint32_t R
} | RMON_T_OCTETS
union {
uint32_t R
} | IEEE_T_DROP
union {
uint32_t R
} | IEEE_T_FRAME_OK
union {
uint32_t R
} | IEEE_T_1COL
union {
uint32_t R
} | IEEE_T_MCOL
union {
uint32_t R
} | IEEE_T_DEF
union {
uint32_t R
} | IEEE_T_LCOL
union {
uint32_t R
} | IEEE_T_EXCOL
union {
uint32_t R
} | IEEE_T_MACERR
union {
uint32_t R
} | IEEE_T_CSERR
union {
uint32_t R
} | IEEE_T_SQE
union {
uint32_t R
} | IEEE_T_FDXFC
union {
uint32_t R
} | IEEE_T_OCTETS_OK
union {
uint32_t R
} | RMON_R_DROP
union {
uint32_t R
} | RMON_R_PACKETS
union {
uint32_t R
} | RMON_R_BC_PKT
union {
uint32_t R
} | RMON_R_MC_PKT
union {
uint32_t R
} | RMON_R_CRC_ALIGN
union {
uint32_t R
} | RMON_R_UNDERSIZE
union {
uint32_t R
} | RMON_R_OVERSIZE
union {
uint32_t R
} | RMON_R_FRAG
union {
uint32_t R
} | RMON_R_JAB
union {
uint32_t R
} | RMON_R_P64
union {
uint32_t R
} | RMON_R_P65TO127
union {
uint32_t R
} | RMON_R_P128TO255
union {
uint32_t R
} | RMON_R_P256TO511
union {
uint32_t R
} | RMON_R_P512TO1023
union {
uint32_t R
} | RMON_R_P1024TO2047
union {
uint32_t R
} | RMON_R_P_GTE2048
union {
uint32_t R
} | RMON_R_OCTETS
union {
uint32_t R
} | IEEE_R_DROP
union {
uint32_t R
} | IEEE_R_FRAME_OK
union {
uint32_t R
} | IEEE_R_CRC
union {
uint32_t R
} | IEEE_R_ALIGN
union {
uint32_t R
} | IEEE_R_MACERR
union {
uint32_t R
} | IEEE_R_FDXFC
union {
uint32_t R
} | IEEE_R_OCTETS_OK

The documentation for this struct was generated from the following files:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc556x.h
- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc5668.h